classification
Title: Remove using of w9xopen in subprocess module
Type: enhancement Stage: patch review
Components: Library (Lib), Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: Rune, asvetlov, brian.curtin, eric.araujo, pitrou, python-dev
Priority: normal Keywords: easy, patch

Created on 2012-04-01 18:06 by asvetlov, last changed 2013-01-08 12:32 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
subprocess_minus_w9xpopen.patch Rune, 2012-04-20 23:41
Messages (9)
msg157321 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-04-01 18:06
As Python 3.3 declare:
Windows 2000 and Windows platforms which set COMSPEC to command.com are no longer supported due to maintenance burden.

We need to drop corresponding code from subprocess.
msg157443 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-04-03 20:17
Brian, please don't forget to cleanup subprocess code when you will be ready to.
msg158898 - (view) Author: Rick Rune (Rune) Date: 2012-04-20 23:41
Removed w9xpopen usage in subprocess module via attached patch.
msg160869 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-05-16 14:28
Brian, is the patch ok?
msg160871 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-05-16 14:36
Hm, I thought I already responded to this one. PEP 11 states that the w9xpopen code shouldn't be removed until 3.4. I have a patch on another computer that adds a deprecation for 3.3 - I'll add it here within the day.

For 3.4 we would actually remove the w9xpopen project from the VS solution and make sure it's no longer a part of the project.


http://www.python.org/dev/peps/pep-0011/
msg178019 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-23 22:55
New changeset c903e4f1121d by Brian Curtin in branch 'default':
Fix #14470. Remove w9xpopen per PEP 11.
http://hg.python.org/cpython/rev/c903e4f1121d

New changeset ae1845e4006a by Brian Curtin in branch 'default':
Add NEWS item for fixing #14470.
http://hg.python.org/cpython/rev/ae1845e4006a
msg178074 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-24 16:44
New changeset deee9f0a4b98 by Brian Curtin in branch 'default':
Fix #14470. Remove mentions of w9xpopen on old versions of Visual Studio.
http://hg.python.org/cpython/rev/deee9f0a4b98
msg178075 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-12-24 16:46
Thanks

On Mon, Dec 24, 2012 at 6:44 PM, Roundup Robot <report@bugs.python.org> wrote:
>
> Roundup Robot added the comment:
>
> New changeset deee9f0a4b98 by Brian Curtin in branch 'default':
> Fix #14470. Remove mentions of w9xpopen on old versions of Visual Studio.
> http://hg.python.org/cpython/rev/deee9f0a4b98
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue14470>
> _______________________________________
msg179345 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-01-08 12:32
FTR, was the deprecation for 3.3 committed?
History
Date User Action Args
2013-01-08 12:32:11eric.araujosetnosy: + eric.araujo
messages: + msg179345
2012-12-31 06:45:57brian.curtinlinkissue2405 superseder
2012-12-24 16:46:32asvetlovsetmessages: + msg178075
2012-12-24 16:44:45python-devsetmessages: + msg178074
2012-12-23 22:57:54brian.curtinsetstatus: open -> closed
resolution: fixed
2012-12-23 22:55:20python-devsetnosy: + python-dev
messages: + msg178019
2012-05-16 14:36:22brian.curtinsetpriority: release blocker -> normal

messages: + msg160871
versions: + Python 3.4, - Python 3.3
2012-05-16 14:28:46pitrousetnosy: + pitrou

messages: + msg160869
stage: patch review
2012-04-20 23:41:30Runesetfiles: + subprocess_minus_w9xpopen.patch

nosy: + Rune
messages: + msg158898

keywords: + patch
2012-04-03 20:33:02brian.curtinsetpriority: critical -> release blocker
2012-04-03 20:17:34asvetlovsetassignee: brian.curtin
messages: + msg157443
2012-04-01 20:03:04ned.deilysetnosy: + brian.curtin

title: Remove using of w9xopen in subporcess module -> Remove using of w9xopen in subprocess module
2012-04-01 19:29:49asvetlovsettitle: Remove use of w9xopen in subporcess module -> Remove using of w9xopen in subporcess module
2012-04-01 19:29:21asvetlovsetpriority: normal -> critical
components: + Library (Lib), Windows
2012-04-01 18:06:26asvetlovcreate